{{! template-lint-disable no-action no-triple-curlies }}
<div class="rounded-panel campaign-landing-page__container__start">
  <div class="campaign-landing-page__start__image__container">
    <div class="campaign-landing-page__pix-logo">
      <img class="campaign-landing-page__image" src="/images/ecriplus-tests.svg" alt="{{t 'common.ecriplus-logo'}}">
    </div>
    {{#if @campaign.organizationLogoUrl}}
      <div data-test-id="campaign-landing-page__logo">
        <img
          class="campaign-landing-page__image"
          src="{{@campaign.organizationLogoUrl}}"
          alt="{{@campaign.organizationName}}"
        />
      </div>
    {{/if}}
  </div>

  <form {{on "submit" this.start}}>
    <div class="campaign-landing-page__start__text">
      <h1 class="campaign-landing-page__start__text__title">{{this.titleText}}</h1>
      {{#unless this.session.isAuthenticated}}
        <h2 class="campaign-landing-page__start__text__announcement">{{{this.announcementText}}}</h2>
      {{/unless}}
      <PixButton
        @type="submit"
        class="campaign-landing-page__start-button"
        @loading-color="white"
      >{{this.buttonText}}</PixButton>
      <p class="campaign-landing-page__start__text__legal">{{this.legalText}}</p>
    </div>
  </form>

  {{#if this.showWarningMessage}}
    <div class="campaign-landing-page__start__warning">
      <span>{{this.warningMessage}}</span>
      <a href="#" class="link" {{on "click" this.disconnect}}>
        {{t "pages.campaign-landing.warning-message-logout"}}
      </a>
    </div>
  {{/if}}

  {{#if @campaign.customLandingPageText}}
    <div class="campaign-landing-page__start__custom-text">
      <MarkdownToHtml @markdown={{@campaign.customLandingPageText}} />
    </div>
  {{/if}}
</div>